﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using C1.WPF.C1Chart;

namespace Wpf_InsertImageInChart
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
       
        public Window1()
        {
            InitializeComponent();
        }

        private void DataSeries_PlotElementLoaded(object sender, EventArgs e)
        {
            PlotElement plot_ele = sender as PlotElement;
            if (plot_ele != null)
            {
                // get datapoint which includes series and series index info
                var dataPoint = plot_ele.DataPoint;

                // create an instance of the ChartPanel
                var panel = new ChartPanel();

                // create an instance of the ChartPanelObject
                var panel_obj = new ChartPanelObject()
                {
                    HorizontalAlignment = HorizontalAlignment.Stretch,
                    VerticalAlignment = VerticalAlignment.Bottom
                };

                var border = new Border();
                var stackpanel = new StackPanel();
                Image image = new Image();

                // Exclaimation mark for the engineers handling less than 20 cases
                if (dataPoint.SeriesIndex == 0 && dataPoint.Value <= 20)
                {
                    BitmapImage image_source = new BitmapImage(new Uri(@"pack://application:,,,/Images/needsAttention.jpeg"));
                    panel_obj.HorizontalAlignment = HorizontalAlignment.Right;
                    image.Source = image_source;
                    panel_obj.Height = 30;
                    panel_obj.Width = 25;
                    panel_obj.AxisY = "y1";
                }

                // Star Performer -> Engineer having Rating as 5
                else if (dataPoint.SeriesIndex == 1 && dataPoint.Value == 5)
                {
                    BitmapImage img = new BitmapImage(new Uri(@"pack://application:,,,/Images/StarPerformer.jpg"));
                    panel_obj.HorizontalAlignment = HorizontalAlignment.Left;
                    image.Source = img;
                    panel_obj.Height = 30;
                    panel_obj.Width = 25;
                    panel_obj.AxisY = "ay2";
                }

                stackpanel.Children.Add(image);
                border.Child = stackpanel;
                panel_obj.Content = border;

                panel_obj.DataPoint = new Point(dataPoint.PointIndex, dataPoint.Value);
                panel_obj.Attach = ChartPanelAttach.None;

                // ChartPanelObject added to the ChartPanel
                panel.Children.Add(panel_obj);

                // ChartPanel finally included in the Layers Collection      
                c1Chart1.View.Layers.Add(panel);

            }
        }
     
    }
}
